/*
 Theme Name:   Flexify Child Theme
 Theme URI:    https://flexify.themerex.net/
 Description:  Flexify Child Theme
 Author:       ThemeREX
 Author URI:   https://themerex.net/
 Template:     flexify
 Version:      1.0.0
 Tested up to: 6.8
 Requires at least: 5.5
 Requires PHP: 7.4
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
 Tags: blog, e-commerce, portfolio, grid-layout, one-column, two-columns, three-columns, four-columns, left-sidebar, right-sidebar, custom-background, custom-colors, custom-header, custom-logo, custom-menu, editor-style, featured-image-header, featured-images, flexible-header, footer-widgets, full-width-template, microformats, post-formats, sticky-post, theme-options, threaded-comments, translation-ready, block-styles, wide-blocks
 Text Domain:  flexify
*/


/* =Theme customization starts here
------------------------------------------------------------ */


#map{
	position: relative;
}
#map-blocker{
	position: absolute;
	top:0;bottom:0;left:0;right:0;
	background: rgba(255, 255, 255, 0);
	z-index: 100;
	display:none;
}

#map-holder{
	margin-bottom: 100px;
}

.map-filter{
	font-size: 14px;
	font-style: normal;
	display: inline-block;
	margin:5px;
}

#map-filters .options label{
	display: inline-block;
}

#map-filters{
	display: flex;
	margin-bottom: 25px;
}
#map-filters .block{
	width: 19%;
	margin:5px;
}
#map-filters .block .title{
    font-family: var(--theme-font-h2_font-family);
	text-align: center;
    font-size: 20px;
    color: var(--theme-color-title);
    background: white;
    border: 1px solid var(--theme-color-link);
    border-top: 2px solid var(--theme-color-link);
    padding:15px 5px;
    min-height: 105px;
}
#map-filters .block label{
	text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    color: white;
}
#map-filters .block .options{
	background: var(--theme-color-link);
    text-align: center;
    min-height: 105px;
    padding-top: 15px;
}
#map-filters .block .options .radio{
	padding:2px 10px;
}
#map-filters .block .options .radio:hover,
#map-filters .block .options .radio input:hover,
#map-filters .block .options .radio label:hover{
	cursor: pointer;
}

#map-legend{
	text-align: center;
}
#map-legend .legendbox{
	display: inline-block;margin:15px;
	text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    color: #0D4760;
}
#map-legend .legendbox:before{
	content: '';
	display: inline-block;
	margin-bottom: -2px;
	margin-right: 10px;
	height: 15px;width: 15px;
}
#map-legend .legendbox.lb1:before{
	background: #50c878;
}
#map-legend .legendbox.lb2:before{
	background: #d1e231;
}
#map-legend .legendbox.lb3:before{
	background: #b2beb5;
}
#map-legend .legendbox.lb4:before{
	background: #C34A2C;
}

#parentage-table #tbldesk th,
#parentage-table #tbldesk td{
	text-align: center;
	border-style: solid;
    border-width: 1px;
    padding: 0.5em 1em 0.5em 1em !important;
    border-color: var(--theme-color-bd_color);
    min-width: 100px;
}

#parentage-table #tblmobile th,
#parentage-table #tblmobile td{
	text-align: center;
	border-style: solid;
    border-width: 1px;
    padding: 0.5em 1em 0.5em 1em !important;
    border-color: var(--theme-color-bd_color);
    min-width: 100px;
    width: 100%;
}

#parentage-table #tbldesk th,
#parentage-table #tbldesk td.first{
    font-size: 14px;
    font-weight: bold;
}

#parentage-table #tblmobile th,
#parentage-table #tblmobile td.first{
	color: #7a7a7a;
    font-size: 14px;
    font-weight: bold;
    text-align: left;
}


#parentage-table td.p4{
	background: #e5efdc;
}
#parentage-table td.p3{
	background: #fdf2d0;
}
#parentage-table td.p2{
	background: #f8e5d8;
}
#parentage-table td.p1{
	background: #e0eaf6;
}
#parentage-table td.p0{
	background-color: #f3f2f3;
	background-image: linear-gradient(to bottom right, transparent calc(50% - 1px), #ffd086, transparent calc(50% + 1px));
}



.map-desc-holder{
	margin-top: 30px;
	padding:25px 0;
	border-top: 1px solid #FACAC8;
	display: flex;
}

.map-desc-holder.desc .desc-content h1{
	color: #cd725f;
    font-family: "Cormorant";
    font-size: 40px;
    font-weight: bold;
    margin-bottom: 20px !important;
}
.map-desc-holder.desc .desc-content h2{
	color: #7a7a7a;
    font-family: "Poppins";
    font-size: 22px;
    font-weight: 500;
    margin-bottom: 20px !important;
}
.map-desc-holder.desc .desc-content p{
	font-size: 16px;
	color: #7a7a7a;
}
.map-desc-holder.desc .desc-content blockquote{
	border-color: #cd725f;
	font-size: 14px;
	color: #7a7a7a;
}

.map-desc-holder .title{
	width: 40%;
	font-size: 16px;
	color: #7a7a7a;
}

.map-desc-holder .title .section-title{
	color: #cd725f;
    font-family: "Cormorant";
    font-size: 27px;
    font-weight: bold;
}

.map-desc-holder .states ul{
	list-style-type: none;
}

.map-desc-holder .states ul.columns{
	-webkit-column-count: 3;
	-moz-column-count: 3;
	column-count: 3;
	-webkit-column-gap: 20px;
	column-gap: 20px;
	-moz-column-gap: 20px;
	column-fill:balance;
	column-width:18%;
}
.map-desc-holder .states ul.columns li{
	-webkit-column-break-inside: avoid;
	page-break-inside: avoid;
}
.map-desc-holder .states ul li a{
	display: block;
}


.showcase-button{
	z-index: 100;
}

.showcase-button .eael-creative-button{
	background: #FF8D6B !important;
	color: #333333 !important;
	width: 100%;
	transition: .7s ease all;
}
.showcase-button .eael-creative-button:hover{
	background: #333333 !important;
	color: white !important;
}

.showcase-button .creative-button-inner .cretive-button-text{
	font-size: 20px;
}
.showcase-button .creative-button-inner .cretive-button-text>span{
	display: block;
	padding-top: 2px;
	font-size: 34px;
	font-weight: bold;
	text-transform: capitalize !important;
}

.bdt-tab:focus-visible {
	outline: none;
}

.bdt-post-block .bdt-post-block-item .bdt-grid,
.bdt-post-list .bdt-post-list-item .bdt-grid {
	align-items: center;
}

.bdt-post-block .bdt-post-block-item.list-part .bdt-post-block-title,
.bdt-post-list .bdt-post-list-item.list-part .bdt-post-list-title {
	margin-top: 0;
}

a.extra-link {
	color: #fdcf85 !important;
}

a.extra-link:hover {
	color: #ffffff !important;
}

.elementor-pagination .prev.page-numbers:hover,
.elementor-pagination .next.page-numbers:hover {
	background-color: transparent;
}

.elementor-pagination > span:not(.current) {
	opacity: 0.5;
}

#wpfront-scroll-top-container {
	transition: 0.3s all;
}
#wpfront-scroll-top-container i {
	width: 50px;
	height: 50px;
	line-height: 49px;
	background: #f68c6d;
	border-radius: 50%;
	text-align: center;
}

.elementor-menu-toggle,
.elementor-menu-toggle i,
.bdt-tab,
.bdt-tab:focus,
.bdt-tab:focus-visible {
	outline: none !important;
}

@media only screen and (max-width: 600px) {
	#tbldesk{
		display: none;
	}
	#tblmobile{
		display: block;
	}
}

@media only screen and (max-width: 1024px) {
    .elementor .theme-mobile-logo .elementor-image img {
        max-height: 110px;
    }
}

@media only screen and (max-width: 767px) {
    .elementor .theme-mobile-logo .elementor-image img {
        max-height: 70px;
    }
}

@media only screen and (min-width: 600px) {
	#tbldesk{
		display: block;
	}
	#tblmobile{
		display: none;
	}
}

@media only screen and (max-width: 800px) {
	#map-filters{
		display: flex;
		flex-wrap: wrap;
	}
	#map-filters .block{
		width: 100%;
	}
	
	#map-additionals{
		padding:0 20px !important;
	}
	.map-desc-holder{
		flex-wrap: wrap;
	}
	.map-desc-holder .title{
		width: 100%;
	}
	.map-desc-holder .states{
		width: 100%;
	}
}

@media(max-width: 1024px) {
	.bdt-tabs-area .bdt-tabs .bdt-tab.bdt-tab-left .bdt-tabs-item a:after,
	.bdt-tabs-area .bdt-tabs .bdt-tab.bdt-tab-right .bdt-tabs-item a:after {
		top: auto;
		bottom: 0;
		width: 100%;
	}
	.bdt-tabs-area .bdt-tabs .bdt-tab.bdt-tab-left .bdt-active a:after,
	.bdt-tabs-area .bdt-tabs .bdt-tab.bdt-tab-right .bdt-active a:after {
		height: 3px;
	}
	.single-post div[style*="direction: ltr;"] {
		width: 100% !important;
	}
	.mobile-small-height .typeform-widget {
		max-height: 630px;
	}
}

@media(min-width: 1025px) {
	header .theme-logo img {
		transition: 0.3s all;
	}
	header.elementor-sticky--effects .theme-logo img {
		width: 50% !important;
	}
}

@media(min-width: 1025px) and (max-width: 1440px) {
	.elementor-nav-menu--main .elementor-nav-menu a {
		font-size: 13px;
		padding-left: 8px !important;
		padding-right: 8px !important;
	}
}

.single.single-post {
background: var(--theme-color-bg_color) !important;
}


.single.single-post p,
.single.single-post ul {
    font-size: 1rem !important;
        color: var(--theme-color-text);
        line-height: 1.625em !important;
}

@media(min-width: 768px) {
    .single.single-post h2 {
        font-size: 40px !important;
        margin-bottom: 1rem;
    }
            .single.single-post h3 {
        font-size: 26px !important;
        margin-bottom: 1rem;
    }
        .single.single-post h4 {
        font-size: 20px !important;
        margin-bottom: 1rem;
    }
}